scan_hexdump(3)

NAME
scan_hexdump - decode hexdump data

SYNTAX
#include <libowfat/textcode.h>

size_t scan_hexdump(const char *src,char *dest,size_t* destlen);

DESCRIPTION
scan_hexdump decodes hexdump data from src into dest. It will stop when it encounters any invalid input characters. It will then write the number of decoded bytes in dest into *destlen, and return the number of bytes decoded from src.

Note that real world hexdump data is sometimes permitted to contain whitespace characters or new lines. This function will not allow those and return the decoded data until then.

dest can be NULL. destlen can be NULL. dest can be src.

RETURN VALUE
scan_hexdump returns the number of bytes successfully scanned and processed from src.

EXAMPLES
scan_hexdump("302e",buf,&i) -> return 4, i=2, buf="0."

SEE ALSO
scan_xlong(3), scan_8long(3), fmt_ulong(3)